<zuiprezi>
  <version>7</version>
  <zui-table>
    <settings>
      
      <autoplay>
        
        <delay>4000</delay>
        
      </autoplay>
      
      <bounds x="-919356.9031835382" y="-502140.4542286839" width="1862923.0046956455" height="1003646.3614433309"/>
      <aspectratio>off</aspectratio>
      <languages>
        <language>en</language>
      </languages>
      <mode type="normal"/>
    </settings>
    <object id="7_24309637" type="button" x="7367.757351744089" y="67.8425776463303" r="3.130885408111497e-45" s="19.357876836533638" class="invisible">
      <type>invisible</type>
      <size>
        <w>752.6879167864183</w>
        <h>790.8015886659078</h>
      </size>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
      <layout>
        <frametype value="OVERVIEW"/>
      </layout>
    </object>
    <object id="4_24309637" type="image" x="7354.329043844581" y="5560.135023546858" r="3.1308854081115e-45" s="26.16298917459966">
      <source w="104" h="120">765769593<url>765769593.swf</url></source>
      <sourceUrl>hexgreen.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765769593</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/6/d/2/da63b9c77c382be59f6e46459bc3f5c948d14.swf</url></resource></object>
    <object id="26_238900" type="button" x="0" y="-5.169531757053944e-13" r="3.130885408111498e-45" s="36.55385845490456" class="invisible">
      <type>invisible</type>
      <size>
        <w>916.568944314546</w>
        <h>515.570031176932</h>
      </size>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
      <layout>
        <frametype value="OVERVIEW"/>
      </layout>
    </object>
    <object id="100_24309637" type="image" x="7348.115143602407" y="154.5939834454872" r="3.1308854081115016e-45" s="25.282889130941786">
      <source w="245" h="283">765667525<url>765667525.swf</url></source>
      <sourceUrl>cubenew.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765667525</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/e/6/b/72885aecba96fed649982030fad9b95b11b70.swf</url></resource></object>
    <object id="1_24309637" type="text" x="-6866.36105445858" y="-4400.456563872203" r="1.337893399544662e-31" s="72.57087794523918" class="strong">
      <height>87.48</height>
      <width>197.65024868954904</width>
      <p>
        <text><![CDATA[Advanced MVVM Scenarios Using the Prism]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
    </object>
    <object id="153_24309637" type="image" x="12104.297562459911" y="2828.5550310270864" r="3.1308854081115103e-45" s="26.193463180696696">
      <source w="104" h="120">765683601<url>765683601.swf</url></source>
      <sourceUrl>hexorange.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765683601</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/9/f/0/5c8e1df7c5766b6e83e1105a6c537aec4aea7.swf</url></resource></object>
    <object id="221_24309637" type="text" x="12115.90084420702" y="1867.7909321029472" r="3.7710276575893393e-31" s="7.4160786289003156" class="strong">
      <height>29.16</height>
      <width>198.36363636363643</width>
      <p align="center">
        <text><![CDATA[Wady]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
      <layout>
        <layout-element role="title" parent-id="172_24309637"/>
      </layout>
    </object>
    <object id="162_24309637" type="image" x="2617.880875095807" y="2828.6934950097484" r="3.1308854081115066e-45" s="26.193463180696686">
      <source w="104" h="120">765683603<url>765683603.swf</url></source>
      <sourceUrl>hexblue.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765683603</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/3/8/1/dcb6672f960dc692f9c083d7acb1ecc61440c.swf</url></resource></object>
    <object id="223_24309637" type="text" x="7326.127063155631" y="4581.324985929436" r="3.7710276575893345e-31" s="7.41607862890031" class="strong">
      <height>29.16</height>
      <width>211.9129972055865</width>
      <p align="center">
        <text><![CDATA[VIEW]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
      <layout>
        <layout-element role="title" parent-id="173_24309637"/>
      </layout>
    </object>
    <object id="225_24309637" type="text" x="2578.7786463919692" y="1868.0955528648046" r="3.7710276575893375e-31" s="7.416078628900316" class="strong">
      <height>29.16</height>
      <width>238.9090909090909</width>
      <p align="center">
        <text><![CDATA[ViewModel]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
      <layout>
        <layout-element role="title" parent-id="174_24309637"/>
      </layout>
    </object>
    <object id="150_24309637" type="image" x="12104.59916428454" y="-2565.16423629096" r="3.1308854081115103e-45" s="26.193463180696696">
      <source w="104" h="120">765683597<url>765683597.swf</url></source>
      <sourceUrl>hexyellow.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765683597</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/2/a/8/ac54996735b2c069bdb347be522c507574447.swf</url></resource></object>
    <object id="23_24309637" type="persistentgroup" x="12104.297562459911" y="2828.5550310270864" r="3.1308854081114985e-45" s="12.35941581729365">
      <m o="153_24309637"/>
      <m o="221_24309637"/>
      <m o="222_24309637"/>
      <m o="12_24309637"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="25_24309637" type="persistentgroup" x="7354.329043844581" y="5560.135023546858" r="3.130885408111497e-45" s="21.427106366531298">
      <m o="4_24309637"/>
      <m o="223_24309637"/>
      <m o="224_24309637"/>
      <m o="13_24309637"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="26_24309637" type="persistentgroup" x="2617.880875095807" y="2828.6934950097484" r="3.130885408111497e-45" s="21.427106366531298">
      <m o="162_24309637"/>
      <m o="225_24309637"/>
      <m o="226_24309637"/>
      <m o="14_24309637"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="165_24309637" type="image" x="2617.805338238645" y="-2565.247568548549" r="3.1308854081115103e-45" s="26.193463180696696">
      <source w="104" h="120">765683599<url>765683599.swf</url></source>
      <sourceUrl>hexpurple.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765683599</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/a/4/2/584ac6078a6f2c5d7da002def4c27650fc465.swf</url></resource></object>
    <object id="16_24309637" type="text" x="2599.9464336548094" y="-3727.734888576457" r="3.7710276575893336e-31" s="7.4160786289003156" class="strong">
      <height>29.16</height>
      <width>233.63636363636363</width>
      <p align="center">
        <text><![CDATA[Model]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
      <layout>
        <layout-element role="title" parent-id="179_24309637"/>
      </layout>
    </object>
    <object id="10_24309637" type="persistentgroup" x="2617.805338238645" y="-2565.2475685485488" r="3.1308854081114985e-45" s="12.35941581729365">
      <m o="165_24309637"/>
      <m o="15_24309637"/>
      <m o="16_24309637"/>
      <m o="17_24309637"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="159_24309637" type="image" x="7351.022887238317" y="-5259.56928102336" r="3.1308854081115103e-45" s="26.193463180696696">
      <source w="104" h="120">765683595<url>765683595.swf</url></source>
      <sourceUrl>hexwhite.swf</sourceUrl>
      <extra>
        <fixed_avm1_pos>1</fixed_avm1_pos>
      </extra>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    <resource><id>765683595</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/2/4/9/02bd32d145f48c3dc45ebc7f5438efa398041.swf</url></resource></object>
    <object id="2" type="image" x="7356.85" y="-5237.3" r="3.130885408111511e-45" s="3.3503338762193318">
      <source w="771" h="232">3304814587<url>3304814587.png</url></source>
      <sourceUrl>MVVMPattern.png</sourceUrl>
    <resource><id>3304814587</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/0/e/e/708c4a280349236828f7f30cb4da2a4ac944b.png</url></resource></object>
    <object id="7_4" type="text" x="7349.911323797737" y="-6210.4410603525575" r="1.2570092191964456e-31" s="7.4160786289003156" class="strong">
      <height>29.16</height>
      <width>319.0159753355654</width>
      <p align="center">
        <text><![CDATA[Zasada działania:]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
      <layout>
        <layout-element role="title" parent-id="171_24309637"/>
      </layout>
    </object>
    <object id="8_24309637" type="persistentgroup" x="7351.022887238317" y="-5259.56928102336" r="3.1308854081114985e-45" s="12.35941581729365">
      <m o="159_24309637"/>
      <m o="7_4"/>
      <m o="9_24309637"/>
      <m o="24_4"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="2_24309637" type="text" x="7315.1020978501565" y="-1321.5748142705982" r="3.130885408111496e-45" s="24.0625959982373" class="strong">
      <height>29.16</height>
      <width>-70.00800000000001</width>
      <p align="center">
        <text><![CDATA[PRISM]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
    </object>
    <object id="11_24309637" type="text" x="12049.401723658835" y="-3259.1596680173466" r="1.2570092191964434e-31" s="5.980554812069695" class="body">
      <height>28.8</height>
      <width>319.55418757112926</width>
      <p align="center">
        <text color="16777215"><![CDATA[Zalety (korzyści)]]></text>
      </p>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
      </meta>
    </object>
    <object id="24_24309637" type="persistentgroup" x="12104.59916428454" y="-317.27350701844125" r="3.1308854081114985e-45" s="12.35941581729365">
      <m o="150_24309637"/>
      <m o="229_24309637"/>
      <m o="11_24309637"/>
      <m o="18_24309637"/>
      <meta>
        <parentTemplate>brainstorm-with-cubes-group-b</parentTemplate>
        <notModifiedByUser>from-template</notModifiedByUser>
      </meta>
    </object>
    <object id="0" type="text" x="-10082.464029307303" y="6916.895324962318" r="3.130885408111498e-45" s="22.549506870262302" class="strong">
      <height>29.16</height>
      <width>-340.872</width>
      <p>
        <text><![CDATA[SŁAWOMIR MACHUL UMK 2015]]></text>
      </p>
    </object>
    <object id="1" type="text" x="7325.687095777901" y="1090.7826496542998" r="3.1308854081115016e-45" s="24.0625959982373" class="strong">
      <height>29.16</height>
      <width>-252.09599999999998</width>
      <p>
        <text><![CDATA[Model-View-ViewModel]]></text>
      </p>
    </object>
    <object id="3" type="text" x="12142.973648490022" y="-2522.6689735511072" r="3.1308854081115103e-45" s="4.333781335108773" class="body">
      <height>230.4</height>
      <width>552</width>
      <p>
        <text><![CDATA[Testowalność – ]]></text>
        <text color="16777215"><![CDATA[ze względu na separacji UI (View) od logiki UI (ViewModel), możemy w łatwy sposób testować kod.]]></text>
      </p>
      <p>
        <text><![CDATA[Przejrzystość - ]]></text>
        <text color="16777215"><![CDATA[jest to subiektywne, ale kod stworzony w ten sposób poprostu łatwo czytać.]]></text>
      </p>
      <p>
        <text><![CDATA[Łatwa zmiana widoków – ]]></text>
        <text color="16777215"><![CDATA[mając gotowy ViewModel możemy w łatwy sposób tworzyć nowe widoki]]></text>
      </p>
      <p>
        <text><![CDATA[Zmiana technologii –]]></text>
        <text color="16777215"><![CDATA[ dla dobrze napisanego ViewModelu, możemy dodawać widoki w innych technologiach]]></text>
      </p>
    </object>
    <object id="4" type="text" x="12121.1" y="2775.065878030402" r="3.13088540811151e-45" s="4.680946924348247" class="body">
      <height>230.4</height>
      <width>552</width>
      <p>
        <text><![CDATA[Spory narzut – ]]></text>
        <text color="16777215"><![CDATA[szczególnie na początku pracy z wzorcem.]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[]]></text>
      </p>
      <p>
        <text><![CDATA[Obejścia –  ]]></text>
        <text color="16777215"><![CDATA[kod częściowo w mvvm, a częściowo w CD (Code Behind) i powstają różne hybrydy.]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[]]></text>
      </p>
      <p>
        <text><![CDATA[Wsparcie starszych kontrolek – ]]></text>
        <text color="16777215"><![CDATA[niestety w rzeczywistych projektach istnieją starsze kontrolki (nie można wszystkiego refaktorować .. ) i trzeba się nagłowić aby działały zgodnie z filozofią MVVM.]]></text>
      </p>
    </object>
    <object id="5" type="text" x="7651.004806052144" y="5589.529331455526" r="3.1308854081115004e-45" s="5.579877381058917" class="body">
      <height>230.40000000000003</height>
      <width>552</width>
      <p>
        <text color="16777215"><![CDATA[Zadaniem widoku, jest wyświetlenie danych (pełni on wyłącznie rolę prezentacyjną), nie wykonuje żadnej logiki biznesowej czy UI. ]]></text>
      </p>
      <p>
        <text><![CDATA[]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[Nie powinien również posiadać Code Behind. ]]></text>
      </p>
      <p>
        <text><![CDATA[]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[Widok komunikuje się wyłącznie z ViewModel. ]]></text>
      </p>
      <p>
        <text><![CDATA[]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[Widoki mogą być tworzone niezależnie np. przez specjalistów UI.]]></text>
      </p>
    </object>
    <object id="6" type="text" x="2678.75" y="2697.45" r="3.1308854081115066e-45" s="4.930562587633221" class="body">
      <height>230.40000000000003</height>
      <width>552</width>
      <p>
        <text color="16777215"><![CDATA[Zawiera komendy do których wiązane są akcję GUI oraz publiczne właściwości do których możemy podpiąć różne elementy interfejsu. ]]></text>
      </p>
      <p>
        <text><![CDATA[]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[ViewModel (lub jego składowe) powinien implementować interfejs ]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[INotifyPropertyChanged. Można powiedzieć, że to co wcześniej znajdowało się w Code Behind teraz zostało przeniesione właśnie tutaj. ]]></text>
      </p>
      <p>
        <text><![CDATA[]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[ViewModel deleguje akcję do Modelu np w celu odczytu / zapisu danych.]]></text>
      </p>
    </object>
    <object id="7" type="text" x="2616.5337197357153" y="-3099.216935487671" r="3.13088540811151e-45" s="7.4160786289003156" class="body">
      <height>57.6</height>
      <width>338.8</width>
      <p>
        <text color="16777215"><![CDATA[Jest to model danych, tutaj znajdą się wszelakie ]]></text>
      </p>
      <p>
        <text color="16777215"><![CDATA[połączenia do źródeł danych oraz logika biznesowa.]]></text>
      </p>
    </object>
    <object id="8" type="text" x="2614.4" y="-2015.05" r="3.13088540811151e-45" s="10.382510080460442" class="body">
      <height>28.8</height>
      <width>-129.84</width>
      <p>
        <text><![CDATA[KILKA PRZYKŁADÓW]]></text>
      </p>
    </object>
  </zui-table>
  <background>
    <layer depth="4.781699310816327" fadescale="0.1966847823825778">
      <object id="background761068305" type="image" x="911.2098936366798" y="83.72461001726418" r="0" s="27.29164676059889">
        <source w="2029" h="1253">761068305<url>761068305.png</url></source>
        <sourceUrl>gridbgo.png</sourceUrl>
      <resource><id>761068305</id><url>http://0103.static.prezi.com.s3.amazonaws.com/media/3/c/5/1eee48e81dd1c53e0be3359bd2af040d19972.png</url></resource></object>
    </layer>
  </background>
  <path>
    <s>
      <eagle o="26_238900"/>
    </s>
    <s>
      <eagle o="100_24309637"/>
    </s>
    <s>
      <eagle o="159_24309637"/>
    </s>
    <s>
      <eagle o="150_24309637"/>
    </s>
    <s>
      <eagle o="153_24309637"/>
    </s>
    <s>
      <eagle o="4_24309637"/>
    </s>
    <s>
      <eagle o="162_24309637"/>
    </s>
    <s>
      <eagle o="165_24309637"/>
    </s>
    <s>
      <eagle o="8"/>
    </s>
    <s>
      <eagle o="7_24309637"/>
    </s>
  </path>
  <style type="text/css"><![CDATA[
@font-face
{
	src: url('LeagueGothic-Regular.keg');
	fontFamily: body;
	font-class: body;
	font-style: normal;
	font-weight: normal;
	font-family: LeagueGothic;
}

@font-face
{
	src: url('LeagueGothic-Regular.keg');
	fontFamily: head;
	font-class: head;
	font-style: normal;
	font-weight: normal;
	font-family: LeagueGothic;
}

@font-face
{
	src: url('Cabin-Bold.keg');
	fontFamily: strong;
	font-class: strong;
	font-style: normal;
	font-weight: bold;
	font-family: Cabin;
}

@font-face
{
	src: url('LeagueGothic-Italic.keg');
	font-style: italic;
	font-weight: normal;
	font-family: LeagueGothic;
}

@font-face
{
	src: url('Cabin-BoldItalic.keg');
	font-style: italic;
	font-weight: bold;
	font-family: Cabin;
}

@font-face
{
	src: url('Cabin-Regular.keg');
	font-style: normal;
	font-weight: normal;
	font-family: Cabin;
}

@font-face
{
	src: url('Cabin-Italic.keg');
	font-style: italic;
	font-weight: normal;
	font-family: Cabin;
}

.line1
{
	color: #ffbe00;
	gradEndColor: #ffbe00;
	gradStartColor: #ffbe00;
}

.line2
{
	color: #ff8840;
	gradEndColor: #ff8840;
	gradStartColor: #ff8840;
}

.line3
{
	color: #52dd5c;
	gradEndColor: #52dd5c;
	gradStartColor: #52dd5c;
}

.line4
{
	color: #00e1ee;
	gradEndColor: #00e1ee;
	gradStartColor: #00e1ee;
}

.line5
{
	color: #ea6cf7;
	gradEndColor: #ea6cf7;
	gradStartColor: #ea6cf7;
}

.poly1
{
	color: #046896;
	gradEndAlpha: .9;
	gradEndColor: #f7b83f;
	gradStartAlpha: .9;
	gradStartColor: #f7b83f;
}

.poly2
{
	color: #046896;
	gradEndAlpha: .9;
	gradEndColor: #f7833e;
	gradStartAlpha: .9;
	gradStartColor: #f7833e;
}

.poly3
{
	color: #046896;
	gradEndAlpha: .9;
	gradEndColor: #52dd5c;
	gradStartAlpha: .9;
	gradStartColor: #52dd5c;
}

.poly4
{
	color: #046896;
	gradEndAlpha: .9;
	gradEndColor: #00dbe8;
	gradStartAlpha: .9;
	gradStartColor: #00dbe8;
}

.poly5
{
	color: #046896;
	gradEndAlpha: .9;
	gradEndColor: #e167ee;
	gradStartAlpha: .9;
	gradStartColor: #e167ee;
}

Background
{
	gradEnd: #01354d;
	gradStart: #079be0;
}

Grid
{
	color: #0583bd;
}

ZArrow
{
	borderColor: #fff;
	gradEndColor: #333;
	gradStartColor: #333;
	lockTintAlpha: 0;
}

ZCircle
{
	borderAlpha: 1;
	gradEndAlpha: 1;
	gradStartAlpha: 1;
	lockTintAlpha: 0;
	radius: 300;
	thickness: 100;
}

ZCurveLine
{
	color: #333;
}

ZFrame.bracket
{
	borderColor: #fff;
	borderThickness: 2;
	gradEndAlpha: .2;
	gradEndColor: #fff;
	gradStartAlpha: 0;
	gradStartColor: #fff;
	padding: 1.03;
	thickness: 10;
}

ZFrame.circle
{
	borderColor: #fff;
	borderThickness: 0;
	gradEndColor: #fff;
	gradStartColor: #fff;
	padding: 1.03;
	thickness: 5;
}

ZFrame.roundrect
{
	gradEndAlpha: .2;
	gradEndColor: #fff;
	gradStartAlpha: .2;
	gradStartColor: #fff;
	padding: 1.03;
	radius: 20;
}

ZLabel
{
	lockTintAlpha: 0.15;
	padding: 1.2;
}

ZLabel.body
{
	color: #97ffff;
	fontFamily: body;
}

ZLabel.body-background
{
	background-alpha: 0.9;
	background-color: #ff8840;
	background-padding: 4;
}

ZLabel.head
{
	color: #fff;
	fontFamily: head;
}

ZLabel.head-background
{
	background-alpha: 0.9;
	background-color: #ea6cf7;
	background-padding: 4;
}

ZLabel.strong
{
	color: #fff;
	fontFamily: strong;
}

ZLabel.strong-background
{
	background-alpha: 0.9;
	background-color: #00e1ee;
	background-padding: 4;
}

ZLine
{
	color: #333;
	lockTintAlpha: 0;
}

ZMarker
{
	alpha: 0.3;
	color: #00e1ff;
}

ZPath
{
	alpha: 1;
	color: #40abe6;
	textColor: #fff;
	thickness: 3;
}

ZPath Ball.base
{
	alpha: 1;
	fillColor: #40abe6;
	radius: 12;
}

ZPath Ball.mid
{
	alpha: .5;
	fillColor: #40abe6;
	radius: 8;
}

ZPoly
{
	borderAlpha: 1;
	gradEndAlpha: 1;
	gradStartAlpha: 1;
	lockTintAlpha: 0;
	radius: 0;
	thickness: 100;
}

]]></style>
  <hash>-3f96837e</hash>
<sync><oid>emwhnshs8i06</oid><title>advanced-mvvm-scenarios-using-the-prism</title><hash>-3f96837e</hash></sync><config>Txp5VLC1i0s6Qpv7Y9XBfnPydOTXcnPUodtVfU8W9NsQBhF8PTjKWS7ZgoUa41ZnfNmV4nyrEEG9iHTizSDfhtab5kMWw/Wy2XyC+w2i8UAGPsw/nNWXZS7luoiVWRndyPhi37zx40BZKC2Wm9uFzjTZLET/pzv+soJKb2NBhZzEaJis43BHxJ36rd2W1sWSxALIyqyDmmgPbBQ3YZBuBuP8ER43+ylIzvD8zHqOnmraLzm2aggo2KUUldXob2s79BcAHUyr9e1aOUZbRQnBWmQ1LdvTiYBP7Va0MuPbrx/GF4mZoKtcf0L55R66NxMGtZWZVBdNyNHX1wJCkyHHbg==</config></zuiprezi>